SELECT    100 [SortOrder] , 'BuildClrVersion' [SERVERPROPERTY] , serverproperty ( 'BuildClrVersion' ) [VALUE] 

UNION 
SELECT    200 , 'Collation' , serverproperty ( 'Collation' ) 

UNION 
SELECT    200 , 'CollationID' , serverproperty ( 'CollationID' ) 

UNION 
SELECT    200 , 'ComparisonStyle' , serverproperty ( 'ComparisonStyle' ) 

UNION 
SELECT    20 , 'ComputerNamePhysicalNetBIOS' , serverproperty ( 'ComputerNamePhysicalNetBIOS' ) 

UNION 
SELECT    30 , 'Edition' , serverproperty ( 'Edition' ) 

UNION 
SELECT    30 , 'EditionID' 
, 
CASE serverproperty ( 'EditionID' ) 
    WHEN - 1253826760    THEN 'Desktop' 
    WHEN - 1592396055    THEN 'Express' 
    WHEN - 1534726760    THEN 'Standard' 
    WHEN 1333529388        THEN 'Workgroup' 
    WHEN 1804890536        THEN 'Enterprise' 
    WHEN - 323382091        THEN 'Personal' 
    WHEN - 2117995310    THEN 'Developer' 
    WHEN 610778273        THEN 'Enterprise Evaluation' 
    WHEN 1044790755        THEN 'Windows Embedded SQL' 
    WHEN 4161255391        THEN 'Express with Advanced Services' 
    WHEN 1872460670        THEN 'Enterprise Edition: Core-based Licensing' 
    WHEN 284895786        THEN 'Business Intelligence' 
    WHEN 133711905        THEN 'Express with Advanced Services' 
    WHEN 1293598313        THEN 'Web' 
    ELSE 'UNKNOWN' 
END 

UNION 
SELECT    30 , 'EngineEdition' 
, 
CASE serverproperty ( 'EngineEdition' ) 
    WHEN 1 THEN 'Personal or Desktop' 
    WHEN 2 THEN 'Standard or Web or Business Intelligence.' 
    WHEN 200 THEN 'Standard' 
    WHEN 3 THEN 'Enterprise' 
    WHEN 4 THEN 'Express' 
    WHEN 5 THEN 'Azure' 
    ELSE 'UNKNOWN' 
END 

UNION 
SELECT    30 , 'HadrManagerStatus' 
, 
CASE serverproperty ( 'HadrManagerStatus' ) 
    WHEN 0 THEN 'Not started, pending communication' 
    WHEN 1 THEN 'Started and running' 
    WHEN 2 THEN 'Not started and failed.' 
    ELSE 'UNKNOWN' 
END 

UNION 
SELECT    20 , 'InstanceName' , serverproperty ( 'InstanceName' ) 

UNION 
SELECT    35 , 'IsClustered' 
, 
CASE serverproperty ( 'IsClustered' ) 
    WHEN 1 THEN 'Clusered' 
    WHEN 0 THEN 'Not clustered' 
    ELSE 'UNKNOWN' 
END 

UNION 
SELECT    35 , 'IsHadrEnabled' 
, 
CASE serverproperty ( 'IsHadrEnabled' ) 
    WHEN 1 THEN 'The AlwaysOn Availability Groups feature is enabled.' 
    WHEN 0 THEN 'The AlwaysOn Availability Groups feature is disabled' 
    ELSE 'UNKNOWN' 
END 

UNION 
SELECT    35 , 'IsFullTextInstalled' 
, 
CASE serverproperty ( 'IsFullTextInstalled' ) 
    WHEN 1 THEN 'Full-text and semantic indexing components are installed' 
    WHEN 0 THEN 'Full-text and semantic indexing components are not installed' 
    ELSE 'UNKNOWN' 
END 

UNION 
SELECT    35 , 'IsIntegratedSecurityOnly' 
, 
CASE serverproperty ( 'IsIntegratedSecurityOnly' ) 
    WHEN 1 THEN 'Integrated security (Windows Authentication)' 
    WHEN 0 THEN 'Not integrated security. (Both Windows Authentication and SQL Server Authentication)' 
    ELSE 'UNKNOWN' 
END 

UNION 
SELECT    35 , 'IsSingleUser' 
, 
CASE serverproperty ( 'IsSingleUser' ) 
    WHEN 1 THEN 'Single user' 
    WHEN 0 THEN 'Not single user' 
    ELSE 'UNKNOWN' 
END 

UNION 
SELECT    35 , 'IsLocalDB' 
, 
CASE serverproperty ( 'IsLocalDB' ) 
    WHEN 1 THEN 'LocalDB' 
    WHEN 0 THEN 'Not LocalDB' 
    ELSE 'UNKNOWN' 
END 

UNION 
SELECT    40 , 'LCID' , serverproperty ( 'LCID' ) 

UNION 
SELECT    35 , 'LicenseType' , serverproperty ( 'LicenseType' ) 

UNION 
SELECT    20 , 'MachineName' , coalesce ( serverproperty ( 'MachineName' ) , 'UNKNOWN' ) 

UNION 
SELECT    200 , 'ProcessID' , serverproperty ( 'ProcessID' ) 

UNION 
SELECT    15 , 'ProductVersion' , serverproperty ( 'ProductVersion' ) 

UNION 
SELECT    15 , 'ProductLevel' , serverproperty ( 'ProductLevel' ) 

UNION 
SELECT    200 , 'ResourceLastUpdateDateTime' , serverproperty ( 'ResourceLastUpdateDateTime' ) 

UNION 
SELECT    15 , 'ResourceVersion' , serverproperty ( 'ResourceVersion' ) 

UNION 
SELECT    10 , 'ServerName' , serverproperty ( 'ServerName' ) 

UNION 
SELECT    200 , 'SqlCharSet' , serverproperty ( 'SqlCharSet' ) 

UNION 
SELECT    200 , 'SqlCharSetName' , serverproperty ( 'SqlCharSetName' ) 

UNION 
SELECT    200 , 'SqlSortOrder' , serverproperty ( 'SqlSortOrder' ) 

UNION 
SELECT    200 , 'SqlSortOrderName' , serverproperty ( 'SqlSortOrderName' ) 

UNION 
SELECT    200 , 'FilestreamShareName' , serverproperty ( 'FilestreamShareName' ) 

UNION 
SELECT    200 , 'FilestreamConfiguredLevel' , serverproperty ( 'FilestreamConfiguredLevel' ) 

UNION 
SELECT    200 , 'FilestreamEffectiveLevel' , serverproperty ( 'FilestreamEffectiveLevel' ) 

UNION 
SELECT    300 
, 'Database ' + D.state_desc 
, D. [name] 
FROM    sys.databases D 

UNION    SELECT    400 
, 'LinkedServer ' 
, D.srvname 
FROM    sys.sysservers D 

ORDER 

BY [SORTORDER] 
, [SERVERPROPERTY]